Restores the specified document.

POSThttps://api.awork.com/api/v1/documents/trash/{documentId}/restore
POST https://api.awork.com/api/v1/documents/trash/{documentId}/restore

Restores the specified document from the trash. Related versions, content, and child documents are restored asynchronously. Restoring an already active document has no effect.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

documentIdstringRequired
format: uuid

The id of the document to restore.

Query parameters

alsoRestoreChildrenbooleanOptional
Default: true

Whether to also restore children documents.

Responses

204 No Content
401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation